diff options
author | Luca Longinotti <chtekk@gentoo.org> | 2006-10-21 21:06:53 +0000 |
---|---|---|
committer | Luca Longinotti <chtekk@gentoo.org> | 2006-10-21 21:06:53 +0000 |
commit | 9308f77adca5fcd1b2c7fa635d999c2a7526e697 (patch) | |
tree | 3bb446e04d385fb7a1e97e42d0b6ea00ad0c3163 /dev-db | |
parent | Add patch from Josh Coalson to be able to build with flac 1.1.3 (and an extra... (diff) | |
download | historical-9308f77adca5fcd1b2c7fa635d999c2a7526e697.tar.gz historical-9308f77adca5fcd1b2c7fa635d999c2a7526e697.tar.bz2 historical-9308f77adca5fcd1b2c7fa635d999c2a7526e697.zip |
Fix ABI breakage.
Package-Manager: portage-2.1.2_pre3-r4
Diffstat (limited to 'dev-db')
-rw-r--r-- | dev-db/mysql/ChangeLog | 9 | ||||
-rw-r--r-- | dev-db/mysql/files/digest-mysql-5.0.26-r1 | 6 | ||||
-rw-r--r-- | dev-db/mysql/mysql-5.0.26-r1.ebuild | 36 |
3 files changed, 50 insertions, 1 deletions
diff --git a/dev-db/mysql/ChangeLog b/dev-db/mysql/ChangeLog index e1ed5b5c9b52..b0e20d70c963 100644 --- a/dev-db/mysql/ChangeLog +++ b/dev-db/mysql/ChangeLog @@ -1,6 +1,13 @@ # ChangeLog for dev-db/mysql # Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.365 2006/10/21 14:34:16 chtekk Exp $ +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.366 2006/10/21 21:06:53 chtekk Exp $ + +*mysql-5.0.26-r1 (21 Oct 2006) + + 21 Oct 2006; Luca Longinotti <chtekk@gentoo.org> -mysql-5.0.26.ebuild, + +mysql-5.0.26-r1.ebuild: + Fix ABI breakage introduced in MySQL 5.0.26, thanks to Sean Finney for + discovering this (Debian MySQL maintainer). *mysql-5.1.13_alpha20061018 (21 Oct 2006) diff --git a/dev-db/mysql/files/digest-mysql-5.0.26-r1 b/dev-db/mysql/files/digest-mysql-5.0.26-r1 new file mode 100644 index 000000000000..5dea8bc7c1a0 --- /dev/null +++ b/dev-db/mysql/files/digest-mysql-5.0.26-r1 @@ -0,0 +1,6 @@ +MD5 63ec8afeaf202c435b12d112f5ce7857 mysql-5.0.26.tar.gz 25986952 +RMD160 98ee85457de4bc8c8f8acddc8b6f0dc7687f32c7 mysql-5.0.26.tar.gz 25986952 +SHA256 4266fe6a3593700d4157b8cc4278fa8ae98837d4757735fc6ed70d9df6bb2680 mysql-5.0.26.tar.gz 25986952 +MD5 fc29ec806b6c2ad65057adf5b1902604 mysql-patchset-5.0.26-r2.tar.bz2 1905 +RMD160 184af589c5eac8b0d116be0b9e0ef162713297fe mysql-patchset-5.0.26-r2.tar.bz2 1905 +SHA256 feb1ca4a1bd3122aa066f0561d256388db7c8499e12aa6f848877266414b5f09 mysql-patchset-5.0.26-r2.tar.bz2 1905 diff --git a/dev-db/mysql/mysql-5.0.26-r1.ebuild b/dev-db/mysql/mysql-5.0.26-r1.ebuild new file mode 100644 index 000000000000..e439352e88d7 --- /dev/null +++ b/dev-db/mysql/mysql-5.0.26-r1.ebuild @@ -0,0 +1,36 @@ +# Copyright 1999-2006 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.26-r1.ebuild,v 1.1 2006/10/21 21:06:53 chtekk Exp $ + +# Leave this empty +MYSQL_VERSION_ID="" +MYSQL_RERELEASE="" +# Set the patchset revision to use, must be either empty or a decimal number +MYSQL_PATCHSET_REV="2" + +inherit mysql + +KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd" + +src_test() { + cd "${S}" + einfo ">>> Test phase [check]: ${CATEGORY}/${PF}" + make check || die "make check failed" + if ! useq "minimal" ; then + einfo ">>> Test phase [test]: ${CATEGORY}/${PF}" + local retstatus + addpredict /this-dir-does-not-exist/t9.MYI + + cd mysql-test + sed -i -e "s|PORT=3306|PORT=3307|g" mysql-test-run + ./mysql-test-run + retstatus=$? + + # Just to be sure ;) + pkill -9 -f "${S}/ndb" 2>/dev/null + pkill -9 -f "${S}/sql" 2>/dev/null + [[ $retstatus -eq 0 ]] || die "make test failed" + else + einfo "Skipping server tests due to minimal build." + fi +} |